﻿.index-banner-box{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
    box-sizing: border-box;
    font-size: 0;
}
.bannerimg{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.index-banner-box,
.index-banner-list,
.index-video-box,
.index-video,
.index-video-bg{
    /* height: 485px; */
    margin-top: 80px;
}
.index-banner-list-box{
    width: 100%;
    display: block;
    position: relative;
    
}
.index-banner-list{
    width: 100%;
    display: block;
     position: relative;
}
.index-banner-list span{
    height: 100%;
    width: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.index-banner{
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
}
.index-banner-slong-all-box{
    position: relative;
    display: inline-block;
    width: initial;
}
.index-banner-slong,
.index-video-slong{
    max-width: 278px;
    width: initial;
    text-align: left;
    display: inline-block;
    position: absolute;
    z-index: 9;
    top: 70%;
    left: 0;
    cursor: context-menu;
    word-break: break-all;
}
.index-banner-slong-text{
    font-size: 26px;
    letter-spacing: 1px;
    color: #555;
}
.index-video-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #000;
    opacity: 0.4;
    z-index: 5;
}
.index-video-box{
    width: 100%;
    display: block;
    position: relative;
}
.index-video{
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 5;
    display: block;
}

.index-video-bg{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.index-banner-slong-box{
    width: 100%;
    display: block;
    position: absolute;
    top: 28%;
    left: 0;
    z-index: 5;
    pointer-events: none;
    text-align: center;
}
.index-video-open{
    display: none;
}
.not-banner{
    display: none;
}
.index-banner-scroll{
    display: inline-block;
}
.index-banner-scroll-box{
    position: absolute;
    bottom: 0;
    right: 0;
    width: 50%;
    z-index: 9;
}
.index-banner-scroll-line{
    width: 1px;
    height: 80px;
    display: inline-block;
    position: relative;
    background-color: #888;
    vertical-align: top;
    transition: all .3s linear;
}
.index-banner-scroll-line:before{
    content: '';
    width: 1px;
    height: 10px;
    background-color: #888;
    position: absolute;
    bottom: 0;
    left: -4px;
    display: block;
    transition: all .3s linear;
    opacity: 0;
    transform: translateY(-50px);
}
.index-banner-scroll-line:after{
    content: '';
    width: 1px;
    height: 10px;
    background-color: #888;
    position: absolute;
    bottom: 0;
    right: -4px;
    display: block;
    transition: all .3s linear;
    opacity: 0;
    transform: translateY(-50px);
}
.index-banner-scroll-text{
    content: '';
    font-size: 12px;
    color: #888;
    letter-spacing: 1px;
    font-weight: 300;
    font-family: 'Poppins';
    margin-left: 10px;
    display: inline-block;
    vertical-align: top;
    transition: all .3s linear;
}
.index-banner-particles-box{
    width: 100%;
    height: 100vh;
    background-color: #f5f5f5;
    background-size: cover;
    background-position: 50% 50%;
    background-repeat: no-repeat;
}
.index-banner-slong-all-box{
    width: 600px;
}
.pages-banner-slong{
    letter-spacing: inherit;
}

.swiper-pagination-bullet{
    width: 8px;
    height: 8px;
}
.swiper-pagination-bullet-active{
    background-color: #79be3f;
}

.translate-60{
    transform: translate(-60%, -50%);
}

.translate-30{
    transform: translate(-30%, -50%);
}

/*--------------------- hover ---------------------*/

.index-banner-scroll:hover .index-banner-scroll-text{
    color: #79be3f;
    letter-spacing: 3px;
    transform: translateY(50px);
}
.index-banner-scroll:hover .index-banner-scroll-line:before{
    transform: rotateZ(-45deg) translateY(1px);
    opacity: 1;
}
.index-banner-scroll:hover .index-banner-scroll-line:after{
    transform: rotateZ(45deg) translateY(1px);
    opacity: 1;
}


@media only screen and (max-width: 1000px){
    .index-banner-slong, .index-video-slong{
        max-width:  200px;
    }
    .index-banner-slong-text{
        font-size: 18px;
    }
    .index-banner-list-box .slick-prev{
        left: 20px;
    } 
    .index-banner-list-box .slick-next{
        right: 20px;
    }
    .index-banner-list-box .slick-prev:before{
        font-size: 24px;
    }
    .index-banner-list-box .slick-next:before{
        font-size: 24px;
    }
    .index-banner-scroll-box{
        display: none;
    }
    .index-banner-slong-all-box{
        width:  400px;
    }
}
@media only screen and (max-width: 550px){
    .index-banner-slong, .index-video-slong{
        max-width:  131px;
    }
    .index-banner-slong-text{
        font-size: 12px;
    }
    .index-banner-list-box .slick-prev{
        left: 10px;
        top: 52%;
    } 
    .index-banner-list-box .slick-next{
        right: 10px;
        top: 52%;
    }
    .index-banner-list-box .slick-prev:before{
        font-size: 18px;
    }
    .index-banner-list-box .slick-next:before{
        font-size: 18px;
    }
    .index-banner-slong-box{
        top: 35%;
    }
    .index-banner-slong-all-box{
        width: 260px;
    }

    .index-banner-box,
    .index-banner-list,
    .index-video-box,
    .index-video,
    .index-video-bg{
        /* height: 485px; */
        margin-top: 63px;
    }
}